/*
 * Copyright (C) 2012 Samsung Electronics Co., LTD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __SEC_G2DDRM_H__
#define __SEC_G2DDRM_H__

__BEGIN_DECLS

typedef enum {
	G2DDRM_SUCCESS = 0,
	G2DDRM_ERROR_INIT_FAILED,
	G2DDRM_ERROR_EXIT_FAILED,
	G2DDRM_ERROR_TCI_WSM_FAILED,
	G2DDRM_ERROR_TCI_MAP_FAILED,
	G2DDRM_ERROR_BLIT_FAILED,
} g2ddrmResult_t;

g2ddrmResult_t G2DDRM_Initialize(void);
g2ddrmResult_t G2DDRM_Blit(struct fimg2d_blit_raw *cmd);
g2ddrmResult_t G2DDRM_Terminate(void);

__END_DECLS

#endif
